#ifndef __GVIEW_H
#define __GVIEW_H

#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>
#include <stdio.h>

#include "gviewimage.h"

/* probably unnecessary definitions */
#define LEFT_MOUSE 1
#define MIDDLE_MOUSE 2
#define RIGHT_MOUSE 3

/* The GViewApp struct will contain the GtkWindow */
/* which makes up the base of the gui.  It also contains */
/* the GtkImage which makes up the content of the gui */
/* The GViewImage is stored for completeness sake */
typedef struct
{
  GtkWidget *gtk_window;
  GtkWidget *gtk_img;
  GViewImage *gview_img;
} GViewApp;

GViewApp * gview_new_app (GViewImage *);
void gview_show_app (GViewApp *);
void gview_set_image (GViewApp *, GdkPixbuf *);
static void gview_stop (GtkWidget *, gpointer);
static void dispatch_keypress (GtkWidget *, GdkEventKey *, gpointer);
static void dispatch_scroll (GtkWidget *, GdkEvent *, gpointer);
static void dispatch_button_press (GtkWidget *, GdkEventButton *, gpointer);

#endif
