#ifndef __GVIEW_IMAGE_H
#define __GVIEW_IMAGE_H

#include <gtk/gtk.h>

#define SCREEN_MARGIN 65
#define ZOOM_PERCENT 0.25

typedef struct
{
  GdkPixbuf *orig_img;
  GdkPixbuf *disp_img;
  gint orig_height, orig_width;
  gint scaled_height, scaled_width;
  gint current_height, current_width;
} GViewImage;

GViewImage * image_new_image (char *);
GdkPixbuf *image_get_pixbuf (GViewImage *);
GdkPixbuf *image_get_orig_scaled_pixbuf (GViewImage *);
GdkPixbuf *image_get_orig_pixbuf (GViewImage *);
void image_get_orig_size (GViewImage *, gint *, gint *);
void image_get_size (GViewImage *, gint *, gint *);
GdkPixbuf *image_resize (GViewImage *, float);
GdkPixbuf *image_zoom (GViewImage *, gint, gint);

#endif
