#include <gtk/gtk.h>

#include "gview.h"
#include "gviewimage.h"
#include "utils.h"

int
main (int argc, char *argv[])
{
  GViewApp *app; /* a struct containing all the widgets of the gui */
  GViewImage *img; /* a struct containing information about the displayed image */

  /* a gtk requirement; you must initialize the api */
  gtk_init (&argc, &argv);

  /* determine the options / arguments passed to the application */
  parse_arguments (argc, argv);

  /* create the image based on the required image filename */
  img = image_new_image (utils_get_filename ());
  /* create the gui */
  app = gview_new_app (img);
  /* display the gui */
  gview_show_app (app);
  /* start the loop to respond to user gui events */
  gtk_main ();
  /* because of 'gtk_main' the app will not stop or reach */
  /* this point in 'main' until the application is exited */
  return 0;
}
