#include "utils.h"

/*
 * Utils.c
 * 
 * Utils.c is a small collection of functions that take care of
 * some of the more menial and traditional house keeping.
 * As you'll see the only two functions provided are
 * parse_arguments (can you guess what that does?) and print_usage.
 *
 * Very simple, very basic.  But you still gotta have them.
 */

void
parse_arguments (int argc, char *argv[])
{
  progname = argv[0];

  if (argc <= 1){
    print_usage ();
    exit (1);
  }
  /* nothing complex.. for more verbose options you'd want */
  /* to use getopt */
  img_filename = argv[1];
}

/* to preserve namespace the img_filename variable */
/* is accessed via this function */
char *
utils_get_filename (void)
{
  return img_filename;
}

static void
print_usage (void)
{
  #define USAGE_LINE_COUNT 4
  char *usage[] = {
  	"Usage: %s FILENAME",
	"Display an image file (JPEG, GIF, PNG, XPM) using",
	"a GTK window in an X environment.",
        "Example: gview my_image.png",
	};
  int i;

  for (i=0; i < USAGE_LINE_COUNT; i++){
    fprintf(stderr, usage[i], progname);
    fprintf(stderr, "\n");
  }
}
